com.io7m.jcanephora.renderstate

## Interface JCGLBlendStateType

- All Known Implementing Classes:
    JCGLBlendState, JCGLBlendStateMutable

      @Value.Immutable
       @Value.Modifiable
      public interface JCGLBlendStateType

  Blending state.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default JCGLBlendEquation` | `blendEquationAlpha()`
    `default JCGLBlendEquation` | `blendEquationRGB()`
    `default JCGLBlendFunction` | `blendFunctionSourceAlpha()`
    `default JCGLBlendFunction` | `blendFunctionSourceRGB()`
    `default JCGLBlendFunction` | `blendFunctionTargetAlpha()`
    `default JCGLBlendFunction` | `blendFunctionTargetRGB()`

- - ### Method Detail

    - #### blendFunctionSourceRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction blendFunctionSourceRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionSourceAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction blendFunctionSourceAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionTargetRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction blendFunctionTargetRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionTargetAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction blendFunctionTargetAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendEquationRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendEquation blendEquationRGB()

      Returns:
        The blend equation used for the RGB components of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### blendEquationAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendEquation blendEquationAlpha()

      Returns:
        The blend equation used for the alpha component of a blended image
      See Also:
        `JCGLBlendEquation`

Copyright © 2017 <code@io7m.com> http://io7m.com